# Page Not Found

The URL `docs/api-reference/advanced-usages/custom-map-style` does not exist. This page may have been moved, renamed, or deleted.

## Suggested Pages

You may be looking for one of the following:
- [Custom reducer initial state](https://docs.kepler.gl/docs/api-reference/advanced-usages/custom-initial-state.md)
- [custom-mapbox-host](https://docs.kepler.gl/docs/api-reference/advanced-usages/custom-mapbox-host.md)
- [Using Updaters](https://docs.kepler.gl/docs/api-reference/advanced-usages/using-updaters.md)
- [map-style](https://docs.kepler.gl/docs/api-reference/reducers/map-style.md)
- [Advanced usages](https://docs.kepler.gl/docs/api-reference/advanced-usages.md)

## How to find the correct page

If the exact page cannot be found, you can still retrieve the information using the documentation query interface.

### Option 1 — Ask a question (recommended)

Perform an HTTP GET request on the documentation index with the `ask` parameter:

```
GET https://docs.kepler.gl/docs/api-reference/advanced-usages/custom-initial-state.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

### Option 2 — Browse the documentation index

Full index: https://docs.kepler.gl/sitemap.md

Use this to discover valid page paths or navigate the documentation structure.

### Option 3 — Retrieve the full documentation corpus

Full export: https://docs.kepler.gl/llms-full.txt

Use this to access all content at once and perform your own parsing or retrieval. It will be more expensive.

## Tips for requesting documentation

Prefer `.md` URLs for structured content, append `.md` to URLs (e.g., `/docs/api-reference/advanced-usages/custom-initial-state.md`).

You may also use `Accept: text/markdown` header for content negotiation.
